/*
    Project: TCTEMP
    Version: V1.22
    File   : na_tc.h

    Copyright (c) 2006-2012 Author of TCTEMP. All rights reserved.
    Public Key Fingerprint: 75EB 6BC2 01B7 F6E7 4BD7 CC58 4A5F C393 19EE 6E69

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCTEMP binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __NA_TC_H
#define __NA_TC_H

#define TCAPI __stdcall

#define TC_BUFFER_SIZE 0x400

typedef struct
{
    HANDLE hDevice;
    BYTE   rgbBuffer[TC_BUFFER_SIZE];
} TC_CONTEXT, *PTC_CONTEXT;

BOOL TCAPI NaTcOpen(PTC_CONTEXT pCtx);
void TCAPI NaTcClose(PTC_CONTEXT pCtx);
BOOL TCAPI NaTcMountVolume(PTC_CONTEXT pCtx, WCHAR chDriveLetter,
  LPCWSTR pszVolumeName, LPCSTR pPassword, DWORD dwPasswordLength);
BOOL TCAPI NaTcDismountVolume(PTC_CONTEXT pCTx, WCHAR chDriveLetter);

#endif

